TPS65217PMIC(4)

NAME
tps65217pmic - Texas Instruments TPS65217 Power Management IC driver

SYNOPSIS
tps65217pmic0 at iic? addr 0x24

DESCRIPTION
The tps65217pmic driver provides minimal support for the TPS65217 chip and allows reporting regulated voltages through the envsys(4) API.

The TPS65217 consists of low-dropout regulators (LDO) and step-down converters with integrated switching FETs (DCDC):
•   LDO1: 1.0V - 3.3V
•   LDO2: 0.9V - 3.3V
•   LDO3: 1.5V - 3.3V
•   LDO4: 1.5V - 3.3V
•   DCDC1: 0.9V - 1.8V
•   DCDC2: 0.9V - 3.3V
•   DCDC1: 0.9V - 1.5V

SEE ALSO
envsys(4)

HISTORY
The tps65217pmic device first appeared in NetBSD 7.0.

AUTHORS
-nosplit The tps65217pmic driver was written by Radoslaw Kujawa <radoslaw.kujawa@gmail.com>. Voltage change callback for AM335x was added by Manuel Bouyer. White LED (backlight) support was added by KIYOHARA Takashi.

CAVEATS
The driver can only report current voltage regulator settings. It can not measure the real voltage, as the TPS65217 chip lacks hardware to do that. Some boards allow voltage measurement by connecting the power output to external sensor, or analog input of the MPU, but this is outside of the scope of this driver.

Modifying voltage regulator parameters from user space was deliberately left unimplemented, as these parameters should only be set at the firmware or kernel level. Setting wrong parameters may result in permanent hardware damage.

The tps65217pmic driver offers a function that can be used to change the voltage from other kernel components (currently used by AM335x support code).

BUGS
Battery and interrupt support is not implemented.